<?php
$defines = Zend_Registry::get('defines');
$sp_langs = array(1 => 'Basic', 2 => 'Fair', 3 => 'Good', 4 => 'Excellent');
?>
<?= $this->render('profile/profile-tabs.phtml')?>

<form id="about-me" action="" >
    <input type="hidden" name="action" value="<?= $this->action?>">
    <?php  if($this->escortId):?>
        <input type="hidden" name="escort" value="<?= $this->escortId ?>" />
    <?php endif;?>
    <div class="row">

        <div class="col-md-4 custom-p-4">
            <div class="card">
                <div class="card-header">
                    <i class="fa fa-user"></i> About Me
                </div>
                <div class="card-block">
                    <textarea id="summernote" name="about_en"><?= ($this->data['about_en']? $this->data['about_en'] :'')?></textarea>
                    <p id="validation-about_me_text" class="text-danger m-0"></p>
                    <small class="text-muted"><?= __('pv2_tip_about_me') ?></small>
                </div>
            </div>
        </div>

        <div class="col-md-4 custom-p-4">
            <div class="card">
                <div class="card-header">
                    <i class="fa fa-user"></i> Additional Information
                </div>
                <div class="card-block">

                    <? $options = array(1 => __('yes'), 2 => __('no'), 3 => __('ocasionally')) ?>


                    <div class="form-group row">
                        <label class="col-md-3 form-control-label" for="select"><?= __('pv2_label_smoking') ?></label>
                        <div class="col-md-9">
                            <? foreach ( $options as $i => $opt ): ?>
                                <label class="custom-control custom-radio">
                                    <input name="is_smoking" type="radio" class="custom-control-input" value="<?= $i; ?>" <?= $this->data['is_smoking'] == $i ? ' checked="checked"' : '' ?>>
                                    <span class="custom-control-indicator"></span>
                                    <span class="custom-control-description"><?= $opt?></span>
                                </label>
                            <? endforeach ?>
                        </div>
                    </div>


                    <div class="form-group row">
                        <label class="col-md-3 form-control-label" for="select"><?= __('pv2_label_drinking') ?></label>
                        <div class="col-md-9">
                            <? foreach ( $options as $i => $opt ): ?>
                                <label class="custom-control custom-radio">
                                    <input name="is_drinking" type="radio" class="custom-control-input" value="<?= $i; ?>" <?= $this->data['is_drinking'] == $i ? ' checked="checked"' : '' ?>>
                                    <span class="custom-control-indicator"></span>
                                    <span class="custom-control-description"><?= $opt?></span>
                                </label>
                            <? endforeach ?>
                        </div>
                    </div>

                    <div class="form-group row">
                        <label class="col-md-4 form-control-label" for="select"><?= __('pv2_label_special_characteristics') ?></label>
                        <div class="col-md-8">
                            <input  class="txt w-100 form-control" type="text" name="characteristics" value="<?= $this->data['characteristics'] ?>"  />
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!--/.col-->
        <div class="col-md-4 custom-p-4">
            <div class="card">
                <div class="card-header">
                    <i class="fa  fa-flag"></i> Languages
                </div>
                <div class="card-body">
                    <fieldset class="form-group">
                        <select id="selecting-language-knowledge"
                                class="form-control select2-single select2-hidden-accessible" name="state">
                            <?php foreach ($defines['language_options'] as $key => $value): ?>
                                <option value="<?= $key ?>"><?= $value ?></option>
                            <?php endforeach; ?>
                        </select>

                        <div class="form-group row no-gutters">
                            <label class="col-md-3 form-control-label mt-2">Level</label>
                            <div class="col-md-9 d-flex justify-content-between mt-2 flex-wrap">
                                <?php  foreach ($sp_langs as $key => $level) :?>
                                    <label class="custom-control custom-radio">
                                        <input id="inline-radio<?=$key?>" class="custom-control-input" type="radio" required="" name="lng-lev" value="<?= $key ?>" <?= ($key == 1) ? 'checked="checked"':'' ?> />
                                        <span class="custom-control-indicator"></span>
                                        <span class="custom-control-description"><?= $level ?></span>
                                    </label>
                                <?php endforeach;?>
                            </div>

                            <button id="add-language" type="button" class="btn ml-auto btn-outline-success btn-sm active">Add Language</button>
                        </div>

                        <div id="selected_languages">
                            <?php foreach ($defines['language_options'] as $id => $title): $c++; ?>
                                <?php $chk = null; ?>

                                <?php foreach ($this->data['langs'] as $lang) {
                                    if ($lang['lang_id'] == $id) {
                                        $chk = $lang['level'];
                                        break;
                                    }
                                } ?>

                                <?php if (!$chk) continue; ?>

                                <div id="<?= $lang['lang_id']?>">
                                    <span>
                                        <img src="/img/private/flags/flag_<?= $lang['lang_id']?>-big.png">
                                        <?= $title ?> - <span class="lang-level-text"> <?= $sp_langs[$chk]?></span>
                                        <i class="fa fa-times remove-language" aria-hidden="true"></i>
                                    </span>
                                    <input type="hidden" name="langs[<?= $lang['lang_id']?>]" value="<?= $lang['level']?>"/>
                                </div>

                            <? endforeach ?>

                        </div>
                        <p id="validation-language_error" class="text-danger m-0"></p>

                    </fieldset>
                </div>

            </div>
        </div>
        <!--/.col-->

        <!--/.col-->
        <div class="col-md-12 d-flex">
            <button type="submit" class="btn m-auto btn-outline-success btn-lg active fixed-button">Save</button>
        </div>
    </div>
</form>

<script type="text/javascript">
    document.emojiSource = '/js/private/emoji/';
    $('#summernote').summernote({
        height: 150,
        disableDragAndDrop: true,
        disableResizeEditor: true,
        placeholder: "Hello this is an about me text",
        shortcuts: false,
        toolbar: [
            // ['misc', ['emoji', 'undo', 'redo']],
            ['style', ['bold', 'italic', 'underline', ]],
        ],
        popover: { }
    });
</script>